/******** <lalVerbatim file="BlockFinalizeSearchCV"> ********
Author: Tibbits, M. M.
$Id: BlockFinalizeSearch.c,v 1.1 2002/01/24 23:08:04 jolien Exp $
********* </lalVerbatim> ********/

#include <BlockFinalizeSearch.h>

NRCSID( BLOCKFINALIZESEARCHC, "$Id: BlockFinalizeSearch.c,v 1.1 2002/01/24 23:08:04 jolien Exp $");

void LALFinalizeSearch
(
	LALStatus		*status,
	void			**searchParams
)
{
	BlockSearchParams	*params;

	INITSTATUS( status, "LALFinalizeSearch", BLOCKFINALIZESEARCHC );
	ATTATCHSTATUSPTR (status);

	params = ((BlockSearchParams*)(*searchParams));

	LALDDestroyVector(status->statusPtr, &(params->vec));
	CHECKSTATUSPTR(status);

	LALDDestroyVector(status->statusPtr, &(params->res)); 
	CHECKSTATUSPTR(status);

	LALFree(*searchParams);
	CHECKSTATUSPTR(status);

	DETATCHSTATUSPTR (status);
	RETURN(status);
}
