	/*  Variable Declarations  */
/******** <lalVerbatim file="BlockApplySearchHV"> ********
Author: Tibbits, M. M.
$Id: BlockApplySearch.h,v 1.1 2002/01/24 23:08:04 jolien Exp $
********* </lalVerbatim> ********/

#include "Block.h"

NRCSID( BLOCKAPPLYSEARCHH, "$Id: BlockApplySearch.h,v 1.1 2002/01/24 23:08:04 jolien Exp $");

/******************************** <lalErrTab> */
#define BLOCKAPPLYSEARCHH_ENULL 1
#define BLOCKAPPLYSEARCHH_ENNUL 2
#define BLOCKAPPLYSEARCHH_EALOC 3
#define BLOCKAPPLYSEARCHH_ENUMZ 4
#define BLOCKAPPLYSEARCHH_EDELT 8
#define BLOCKAPPLYSEARCHH_ERANK 9
#define BLOCKAPPLYSEARCHH_EUEXT 10

#define BLOCKAPPLYSEARCHH_MSGENULL "Null pointer"
#define BLOCKAPPLYSEARCHH_MSGENNUL "Non-null pointer"
#define BLOCKAPPLYSEARCHH_MSGEALOC "Memory allocation error"
#define BLOCKAPPLYSEARCHH_MSGENUMZ "Data segment length is zero"
#define BLOCKAPPLYSEARCHH_MSGEDELT "deltaT is zero or negative"
#define BLOCKAPPLYSEARCHH_MSGERANK "Search node has incorrect rank"
#define BLOCKAPPLYSEARCHH_MSGEUEXT "Unrecognised exchange type"
/************************************ </lalErrTab> */


void ApplySearchMaster
(
	LALStatus		*status,
	LALSearchOutput		*output,
	LALSearchInput		*input,
	LALApplySearchParams	*params
);

void ApplySearchSlave
(
	LALStatus		*status,
	LALSearchOutput		*output,
	LALSearchInput		*input,
	LALApplySearchParams	*params
);
