#!/bin/sh

prog=../../../test/happyAPI
args="../src/.libs/libldassick.so $1"
cmd="mpirun -v schema"

# create machines file
echo `hostname` >  lamhosts

echo "$prog $args" >  schema
echo "$prog $args" >>  schema
echo "$prog $args" >>  schema

# run mpirun command and capture exit status
code=0
lamboot -v lamhosts
rm -f $$.status
( $cmd || echo "$?" > $$.status ) 2> Commissar-test$1.err | tee Commissar-test$1.out
if test -f $$.status
then
  code=`cat $$.status`
  rm -f $$.status
fi
wipe -v lamhosts
exit $code
